Browse Source

Sync with portage [Sat Aug 20 22:30:36 MSK 2016].

mhiretskiy 496
root 6 years ago
parent
commit
789b7ec465
  1. 2
      app-admin/hardening-check/hardening-check-2.7.ebuild
  2. 2
      app-admin/mcollective/mcollective-2.8.8.ebuild
  3. 1
      app-admin/mongo-tools/Manifest
  4. 53
      app-admin/mongo-tools/mongo-tools-3.2.9.ebuild
  5. 1
      app-admin/puppet-lint/Manifest
  6. 25
      app-admin/puppet-lint/puppet-lint-2.0.2.ebuild
  7. 6
      app-admin/rsyslog/metadata.xml
  8. 4
      app-arch/atool/metadata.xml
  9. 4
      app-arch/unmakeself/metadata.xml
  10. 2
      app-arch/zopfli/Manifest
  11. 55
      app-arch/zopfli/files/zopfli-1.0.1-makefile.patch
  12. 34
      app-arch/zopfli/zopfli-1.0.0.ebuild
  13. 26
      app-arch/zopfli/zopfli-1.0.0_p20141006.ebuild
  14. 26
      app-arch/zopfli/zopfli-1.0.1-r2.ebuild
  15. 4
      app-backup/tarsnap/metadata.xml
  16. 38
      app-cdr/cuecue/cuecue-0.2.2-r2.ebuild
  17. 5
      app-cdr/cuecue/files/cuecue-0.2.2-flac113.diff
  18. 12
      app-cdr/cuecue/files/cuecue-0.2.2-namespace.patch
  19. 23
      app-cdr/cuecue/files/cuecue-0.2.2-unused.patch
  20. 2
      app-crypt/efitools/Manifest
  21. 23
      app-crypt/efitools/efitools-1.4.1-r1.ebuild
  22. 29
      app-crypt/efitools/efitools-1.4.1-r2.ebuild
  23. 21
      app-crypt/efitools/efitools-1.4.1.ebuild
  24. 25
      app-crypt/efitools/efitools-1.4.2-r1.ebuild
  25. 22
      app-crypt/efitools/efitools-1.4.2.ebuild
  26. 110
      app-crypt/efitools/files/xxdi.patch
  27. 4
      app-crypt/efitools/metadata.xml
  28. 1
      app-crypt/gnupg/Manifest
  29. 158
      app-crypt/gnupg/gnupg-2.1.15.ebuild
  30. 4
      app-crypt/md5deep/metadata.xml
  31. 4
      app-crypt/pesign/metadata.xml
  32. 4
      app-doc/linux-kernel-in-a-nutshell/metadata.xml
  33. 4
      app-editors/leafpad/metadata.xml
  34. 4
      app-emacs/basic-toolkit/basic-toolkit-0.3.ebuild
  35. 4
      app-emacs/buffer-extension/buffer-extension-0.1.ebuild
  36. 4
      app-emacs/cycle-buffer/cycle-buffer-2.16.ebuild
  37. 4
      app-emacs/revive/revive-2.23.ebuild
  38. 4
      app-emacs/windows/windows-2.49.ebuild
  39. 2
      app-emulation/cloud-init/cloud-init-0.7.7.ebuild
  40. 9
      app-office/calligra/calligra-2.9.11.ebuild
  41. 1
      app-portage/epm/Manifest
  42. 33
      app-portage/epm/epm-1.40.ebuild
  43. 34
      app-portage/epm/epm-9999.ebuild
  44. 32
      app-portage/epm/files/epm-1.40-prefix.patch
  45. 20
      app-portage/epm/metadata.xml
  46. 4
      app-portage/repo-commit/metadata.xml
  47. 1
      app-text/kbibtex/kbibtex-0.6.ebuild
  48. 21
      app-vim/pushpop/pushpop-4.0-r1.ebuild
  49. 3
      dev-db/mongodb/Manifest
  50. 180
      dev-db/mongodb/mongodb-2.6.11.ebuild
  51. 46
      dev-db/mongodb/mongodb-2.6.12.ebuild
  52. 46
      dev-db/mongodb/mongodb-2.6.8.ebuild
  53. 156
      dev-db/mongodb/mongodb-3.0.10.ebuild
  54. 36
      dev-db/mongodb/mongodb-3.0.12.ebuild
  55. 36
      dev-db/mongodb/mongodb-3.2.8.ebuild
  56. 189
      dev-db/mongodb/mongodb-3.2.9.ebuild
  57. 2
      dev-erlang/cache_tab/cache_tab-1.0.2.ebuild
  58. 2
      dev-erlang/eredis/eredis-1.0.8.ebuild
  59. 2
      dev-erlang/esip/esip-1.0.4.ebuild
  60. 2
      dev-erlang/ezlib/ezlib-1.0.1.ebuild
  61. 2
      dev-erlang/fast_tls/fast_tls-1.0.3.ebuild
  62. 2
      dev-erlang/fast_xml/fast_xml-1.1.3.ebuild
  63. 2
      dev-erlang/fast_yaml/fast_yaml-1.0.3.ebuild
  64. 2
      dev-erlang/goldrush/goldrush-0.1.8.1.ebuild
  65. 2
      dev-erlang/hamcrest/hamcrest-0.1.0_p20150103.ebuild
  66. 2
      dev-erlang/iconv/iconv-1.0.0.ebuild
  67. 2
      dev-erlang/jiffy/jiffy-0.14.7.ebuild
  68. 2
      dev-erlang/lager/lager-3.2.0.ebuild
  69. 2
      dev-erlang/luerl/luerl-0.2.ebuild
  70. 2
      dev-erlang/meck/meck-0.8.3.ebuild
  71. 2
      dev-erlang/p1_mysql/p1_mysql-1.0.1.ebuild
  72. 2
      dev-erlang/p1_oauth2/p1_oauth2-0.6.1.ebuild
  73. 2
      dev-erlang/p1_pam/p1_pam-1.0.0.ebuild
  74. 2
      dev-erlang/p1_pgsql/p1_pgsql-1.1.0.ebuild
  75. 2
      dev-erlang/p1_utils/p1_utils-1.0.4.ebuild
  76. 2
      dev-erlang/p1_xmlrpc/p1_xmlrpc-1.15.1.ebuild
  77. 2
      dev-erlang/proper/proper-1.1_p20160426.ebuild
  78. 2
      dev-erlang/protobuffs/protobuffs-0.8.2.ebuild
  79. 2
      dev-erlang/riak_pb/riak_pb-2.1.0.7.ebuild
  80. 2
      dev-erlang/riakc/riakc-2.1.1_p20151111.ebuild
  81. 2
      dev-erlang/sqlite3/sqlite3-1.1.5.ebuild
  82. 2
      dev-erlang/stringprep/stringprep-1.0.3.ebuild
  83. 2
      dev-erlang/stun/stun-1.0.3.ebuild
  84. 5
      dev-go/go-tools/go-tools-0_pre20160220.ebuild
  85. 2
      dev-lang/elixir/elixir-1.3.0-r1.ebuild
  86. 5
      dev-libs/libpcre-debian/libpcre-debian-8-r1.ebuild
  87. 4
      dev-libs/libstrl/metadata.xml
  88. 1
      dev-libs/mongo-cxx-driver/Manifest
  89. 54
      dev-libs/mongo-cxx-driver/files/mongo-cxx-driver-1.1.0-fix-scons.patch
  90. 70
      dev-libs/mongo-cxx-driver/mongo-cxx-driver-1.1.2.ebuild
  91. 1
      dev-ml/cppo/Manifest
  92. 32
      dev-ml/cppo/cppo-1.4.0.ebuild
  93. 1
      dev-ml/pomap/Manifest
  94. 31
      dev-ml/pomap/pomap-3.0.6.ebuild
  95. 1
      dev-perl/Test-use-ok/Manifest
  96. 18
      dev-perl/Test-use-ok/Test-use-ok-0.110.0-r1.ebuild
  97. 17
      dev-perl/Test-use-ok/Test-use-ok-0.160.0.ebuild
  98. 13
      dev-perl/Test-use-ok/metadata.xml
  99. 9
      dev-php/pecl-redis/pecl-redis-3.0.0.ebuild
  100. 1
      dev-python/h5py/Manifest

2
app-admin/hardening-check/hardening-check-2.7.ebuild

@ -10,7 +10,7 @@ DESCRIPTION="Report the hardening characterists of a set of binaries"
HOMEPAGE="https://wiki.debian.org/Hardening https://packages.debian.org/source/jessie/hardening-wrapper"
SRC_URI="mirror://debian/pool/main/h/${MY_PN}/${MY_PN}_${PV}.tar.xz"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
IUSE=""
LICENSE="GPL-2+"
SLOT="0"

2
app-admin/mcollective/mcollective-2.8.8.ebuild

@ -16,7 +16,7 @@ S="${WORKDIR}/all/marionette-collective-${PV}"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
IUSE="doc +client"
DEPEND=""

1
app-admin/mongo-tools/Manifest

@ -1,3 +1,4 @@
DIST mongo-tools-3.0.10.tar.gz 2185555 SHA256 2bd5c984ca8b745b33aeb1e1a8118acd675bc5a408845eb3bb0b70c4fa680d71 SHA512 36d57150f4fb331149a2a7cbcde54253316cf3c5bc8ab195584c057c35b30d5acfabcafa25d314d378388254ac5a0ce75d0d8867e344fb7006593319ce9d028c WHIRLPOOL a6961a1fccb7ba353616fe4bfbe182c6a076f13c23492f4d06d274a0ff4d3f09a811413f77a2353b20801462b3a72f74073e38b8b1b4f4e3abf0026774dbcea2
DIST mongo-tools-3.0.12.tar.gz 2196136 SHA256 390d6842e83463943383ba7a6d6b8feb050fd170f8003aef46037722693734d0 SHA512 2954972b999d8eb87ff7ce65697740fc5893d5caa24234309f1d182109f627a5cce9b22d9da1154af74606725269c48ded8361b9f3bf171a10aed9ad7b33dda8 WHIRLPOOL 13e1e433f242be3ec9cea259bb3ae70220d1b7feccaf722ce31d9c1a0b30a8aef0c945e1147662acab22b3d7c1c719055fda6dfc9c605d205ceb227d639f6598
DIST mongo-tools-3.2.8.tar.gz 2500291 SHA256 8c147ecec459dd16f3a9f7ad74627fb31375183e145723b84d9ce10a30eafbfb SHA512 5b791fc8f377826d466871fb9108a3c6ea59eeba12ad98e7b39ad2ebc8bdb48263a6a46ee64e4c56ba38230d463ad779440b7f4a8ad36db0e0bc61d0abbf7204 WHIRLPOOL 2b8640615eb0e309124d1434d5a9ef93955986767dca2b2c0b1407d8a36734777d83f9db9f424282d04bccbfe6cb08854384789112e36cb70e3007d889b452d4
DIST mongo-tools-3.2.9.tar.gz 2504722 SHA256 7f1dcbd54a1d9ebf6a1e17e4f548e53bab239960e7de600a50f82cdd13c73afe SHA512 c297153ec24428813348d1cb2723b872cd9af49c0cc3087ee21e8df708fde2b32de7f5ff68af5d5b97b9b832cb20ef9b9fd3d94882d94c53479429299ef4329d WHIRLPOOL 766f9a4ca9b26c44c4093e10d8ed4f16332fe5e84b91eb61c3b377d9e46f4d86eceeb3d6bbdec46b35b3bc0572794be7547895479d48f0a2d7cf297dfc9d392f

53
app-admin/mongo-tools/mongo-tools-3.2.9.ebuild

@ -0,0 +1,53 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
inherit eutils
MY_PV=${PV/_rc/-rc}
MY_P=${PN}-r${MY_PV}
DESCRIPTION="A high-performance, open source, schema-free document-oriented database"
HOMEPAGE="http://www.mongodb.org"
SRC_URI="https://github.com/mongodb/mongo-tools/archive/r${MY_PV}.tar.gz -> mongo-tools-${MY_PV}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="sasl ssl"
# Maintainer note:
# openssl DEPEND constraint, see:
# https://github.com/mongodb/mongo-tools/issues/11
RDEPEND="!<dev-db/mongodb-3.0.0"
DEPEND="${RDEPEND}
dev-lang/go:=
sasl? ( dev-libs/cyrus-sasl )
ssl? ( dev-libs/openssl )"
S=${WORKDIR}/${MY_P}
src_prepare() {
sed -e 's|go build .*|go build -o "bin/$i" -tags "$tags" "$i/main/$i.go"|g' -i build.sh || die
}
src_compile() {
local myconf
if use sasl; then
myconf="${myconf} sasl"
fi
if use ssl; then
myconf="${myconf} ssl"
fi
./build.sh ${myconf}
}
src_install() {
dobin bin/*
}

1
app-admin/puppet-lint/Manifest

@ -1,2 +1,3 @@
DIST puppet-lint-1.1.0.gem 43520 SHA256 739f566cd4f1e77b92c1191217fdb59ce12353f3ec2703f30933d2bba877b35b SHA512 65b72ace2d5d9d22994ef9ed2ae2d544c4bf7d24a16b573e04b14668de69c56139949a936ed607045e5a6f11d0260a4d2773b2faab296e21f2e6b81e44f9be6a WHIRLPOOL 5d94bed7cee54617ccf68297dd9668832ea042bb818348e1482a5dea4843e7c2fbc76493ee2ae2ae003735daa09238650ab6b7e47111ad63808a12c87b0b62cf
DIST puppet-lint-2.0.0.gem 46080 SHA256 90f2b3c84cd569aebd9b3f2709bd59c0b92e0357098fb882480d3e52e3a7df2a SHA512 e4576e50f66fa1c4e5e0c23f9f764ba954aacddfb9f6b69c58e44911aa56fa019d7a0ca631afd523fcf1519dc3d377b376788a2b82afda5e568506423c8c25c8 WHIRLPOOL df2e12eef7708e15c4f7649baab2481e386ee36df7400ebd3f295b59fd3fd32a1ecf4ba6c35da6ea83c05b288e4396c3de18c5c450119153e5005311f3a22753
DIST puppet-lint-2.0.2.gem 60928 SHA256 d8d5336f14d9e484c33007c8527596154c2be8b5e7fb5a9f43f978298381f294 SHA512 e3cdba2cb3c55b73489bdd9e8df24f225ff8134cebc1f2a05a7118905c59eab47e8998f5afc6294288f4a7e226029e17351812b918ee51b81be921e16c94f692 WHIRLPOOL 168c57cc2884e7a4304fa205cbd5fa4c566f0f159bd1d373d11d400ff75a00626885a18998b139793f4fbbe3602fb6ce4f0231ce42e118da8faa1d8f1bec4f13

25
app-admin/puppet-lint/puppet-lint-2.0.2.ebuild

@ -0,0 +1,25 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
USE_RUBY="ruby20 ruby21 ruby22"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"
RUBY_FAKEGEM_EXTRADOC="README.md"
inherit eutils ruby-fakegem
DESCRIPTION="A linter for puppet DSL"
HOMEPAGE="http://puppet-lint.com/"
LICENSE="MIT"
SLOT="0"
IUSE=""
KEYWORDS="~amd64"
ruby_add_bdepend "test? (
dev-ruby/rspec-its:1
dev-ruby/rspec-collection_matchers:1 )"

6
app-admin/rsyslog/metadata.xml

@ -1,14 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>ultrabug@gentoo.org</email>
<name>Ultrabug</name>
<description>Primary Maintainer</description>
</maintainer>
<maintainer type="person">
<email>whissi@gentoo.org</email>
<name>Thomas Deutschmann</name>
<description>Primary Maintainer</description>
</maintainer>
<use>
<flag name="dbi">Build the general database output module (requires <pkg>dev-db/libdbi</pkg>)</flag>

4
app-arch/atool/metadata.xml

@ -1,10 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>tristan@gentoo.org</email>
<name>Tristan Heaven</name>
</maintainer>
<maintainer type="person">
<email>radhermit@gentoo.org</email>
<name>Tim Harder</name>

4
app-arch/unmakeself/metadata.xml

@ -1,8 +1,4 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>tristan@gentoo.org</email>
<name>Tristan Heaven</name>
</maintainer>
</pkgmetadata>

2
app-arch/zopfli/Manifest

@ -1,4 +1,2 @@
DIST zopfli-1.0.0.zip 57873 SHA256 e20d73b56620285e6cce5b510d8e5da6835a81940e48cdf35a69090e666f3adb SHA512 77182f700531bdca8be869efc3d7c235ba3615990d0e50539862af960f3b345061afd1817861614d1238aed901e37dad4737ef0a1e3631c2f125f326b69a27ed WHIRLPOOL b83970e22dad089c2717d81e783c290dd0919a7a278f814f780f9549428130c900208fac9852f4f00d31493eaca994309194eeff661ccf3cd3ecc17ecf5d34ff
DIST zopfli-1.0.0_p20140705.tar.gz 125759 SHA256 d0a1db54477c8da8b59b4ffe620e7fcb0bcb9192d6e5ef08d849bb463c05ffd1 SHA512 ce5b3eb016b0d734a775dbb45842de4aa4a00bc1490edfdbbf81c4640da94994d08f336b313c45b785e17c61ecf58f370edb2cb6523c963798cad739af2282ca WHIRLPOOL 9affa8b1eb7ec9d509c90e26a385644cbf1f7c031813eab5986c297f47881454a74023cb1548e338cebe8c293d0f8876c048998185035377fa5a187d62e46fac
DIST zopfli-1.0.0_p20141006.tar.gz 127391 SHA256 6f67f1680d88721a5f753e63e914e4a8d38f57f80f0ccb592e5ce5495d7b889a SHA512 298be8b56addd93310b40cadc4cb4232666f32886fd78404fb13a9369952c0f8c92a69423d95915362a99fc2f6da1fe9c3155ea452f66c28b98446da19794ff1 WHIRLPOOL de534045b36970f208453786a16c7f902422c558817ec4f3b920964bbb1ebc5608949d0f898e1471e1afa529524208f976297d92444c47e9578ff802d5135b0e
DIST zopfli-1.0.1.tar.gz 128178 SHA256 29743d727a4e0ecd1b93e0bf89476ceeb662e809ab2e6ab007a0b0344800e9b4 SHA512 51d4b2d990e6785e86f0e0104325723c9a7c3b8bf6925ef694b6696f2238eaafff2ca625495a676874ecc1704df7d685e5234b0c601e5804c1c293242e113430 WHIRLPOOL 04578ab35c952b268931d309c29b9de9c5adf3646d02848abee5388520e26bff579d970da9049bfd6fa81cefe2eac1437d499af8dee81d592a6244ce698c8ad8

55
app-arch/zopfli/files/zopfli-1.0.1-makefile.patch

@ -0,0 +1,55 @@
--- zopfli-zopfli-1.0.1/Makefile
+++ zopfli-zopfli-1.0.1/Makefile
@@ -1,8 +1,10 @@
-CC = gcc
-CXX = g++
+CC ?= gcc
+CXX ?= g++
-CFLAGS = -W -Wall -Wextra -ansi -pedantic -lm -O2
-CXXFLAGS = -W -Wall -Wextra -ansi -pedantic -O2
+CFLAGS += -W -Wall -Wextra -ansi -pedantic
+CXXFLAGS += -W -Wall -Wextra -ansi -pedantic
+LDFLAGS += -L.
+LIBS = -lm
ZOPFLILIB_SRC = src/zopfli/blocksplitter.c src/zopfli/cache.c\
src/zopfli/deflate.c src/zopfli/gzip_container.c\
@@ -18,24 +20,28 @@
.PHONY: zopfli zopflipng
+all: zopfli zopflipng
+
# Zopfli binary
-zopfli:
- $(CC) $(ZOPFLILIB_SRC) $(ZOPFLIBIN_SRC) $(CFLAGS) -o zopfli
+zopfli: libzopfli
+ $(CC) $(ZOPFLIBIN_SRC) $(CFLAGS) $(LDFLAGS) $(LIBS) -lzopfli -o zopfli
# Zopfli shared library
libzopfli:
$(CC) $(ZOPFLILIB_SRC) $(CFLAGS) -fPIC -c
- $(CC) $(ZOPFLILIB_OBJ) $(CFLAGS) -shared -Wl,-soname,libzopfli.so.1 -o libzopfli.so.1.0.1
+ $(CC) $(ZOPFLILIB_OBJ) $(CFLAGS) $(LDFLAGS) $(LIBS) -shared -Wl,-soname,libzopfli.so.1 -o libzopfli.so.1.0.1
+ @ln -s libzopfli.so.1.0.1 libzopfli.so.1
+ @ln -s libzopfli.so.1.0.1 libzopfli.so
# ZopfliPNG binary
-zopflipng:
- $(CC) $(ZOPFLILIB_SRC) $(CFLAGS) -c
- $(CXX) $(ZOPFLILIB_OBJ) $(LODEPNG_SRC) $(ZOPFLIPNGLIB_SRC) $(ZOPFLIPNGBIN_SRC) $(CFLAGS) -o zopflipng
+zopflipng: libzopflipng
+ $(CXX) $(ZOPFLILIB_OBJ) $(LODEPNG_SRC) $(ZOPFLIPNGBIN_SRC) $(CFLAGS) $(LDFLAGS) $(LIBS) -lzopflipng -o zopflipng
# ZopfliPNG shared library
-libzopflipng:
- $(CC) $(ZOPFLILIB_SRC) $(CFLAGS) -fPIC -c
- $(CXX) $(ZOPFLILIB_OBJ) $(LODEPNG_SRC) $(ZOPFLIPNGLIB_SRC) $(CFLAGS) -fPIC --shared -Wl,-soname,libzopflipng.so.1 -o libzopflipng.so.1.0.0
+libzopflipng: libzopfli
+ $(CXX) $(ZOPFLILIB_OBJ) $(LODEPNG_SRC) $(ZOPFLIPNGLIB_SRC) $(CFLAGS) $(LDFLAGS) $(LIBS) -fPIC --shared -Wl,-soname,libzopflipng.so.1 -o libzopflipng.so.1.0.0
+ @ln -s libzopflipng.so.1.0.0 libzopflipng.so.1
+ @ln -s libzopflipng.so.1.0.0 libzopflipng.so
# Remove all libraries and binaries
clean:

34
app-arch/zopfli/zopfli-1.0.0.ebuild

@ -1,34 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="5"
inherit toolchain-funcs
DESCRIPTION="Compression library programmed in C to perform very good, but slow, deflate or zlib compression"
HOMEPAGE="https://code.google.com/p/zopfli/"
SRC_URI="https://${PN}.googlecode.com/files/${P}.zip"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
DEPEND="app-arch/unzip"
src_compile() {
# Show what we run for a more verbose build log.
local command="$(tc-getCC) src/${PN}/*.c -o ${PN} \
-W -Wall -Wextra -ansi -pedantic -lm ${CFLAGS} ${LDFLAGS}"
echo ${command} ; ${command} || die "Compilation failed."
}
src_install() {
dobin ${PN}
dodoc README CONTRIBUTORS
insinto /usr/include/${PN}/
doins src/${PN}/*.h
}

26
app-arch/zopfli/zopfli-1.0.0_p20141006.ebuild

@ -1,26 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
inherit eutils multilib toolchain-funcs vcs-snapshot
DESCRIPTION="Compression library programmed in C to perform very good, but slow, deflate or zlib compression"
HOMEPAGE="https://github.com/Hello71/zopfli/"
SRC_URI="https://github.com/Hello71/zopfli/archive/1a2f1148efd07e16adb5702e8820abf6162292d5.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0/1"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
src_prepare() {
tc-export CC CXX
epatch_user
}
src_install() {
emake DESTDIR="${D}" prefix="${EPREFIX}/usr" libdir="${EPREFIX}/usr/$(get_libdir)" install
dodoc CONTRIBUTORS README README.${PN}png
}

26
app-arch/zopfli/zopfli-1.0.1.ebuild → app-arch/zopfli/zopfli-1.0.1-r2.ebuild

@ -4,6 +4,8 @@
EAPI=6
inherit toolchain-funcs
DESCRIPTION="Very good, but slow, deflate or zlib compression"
HOMEPAGE="https://github.com/google/zopfli/"
SRC_URI="https://github.com/google/zopfli/archive/${P}.tar.gz"
@ -16,31 +18,25 @@ KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
DOCS=( CONTRIBUTORS README README.zopflipng )
# zopfli statically links libzopfli
# zopflipng statically links libzopflipng
# zopflipng also statically links an exact version of LodePNG (https://github.com/lvandeve/lodepng)
# As of version 1.0.1 neither of the binaries
# use the libraries we install. The libraries
# exist solely for use by external programs.
PATCHES=( "${FILESDIR}"/${P}-makefile.patch )
src_compile() {
emake libzopfli
emake zopfli
# zopflipng statically links an exact version of LodePNG (https://github.com/lvandeve/lodepng)
emake libzopflipng
emake zopflipng
src_prepare() {
default
tc-export CC CXX
}
# The Makefile has no install phase
src_install() {
dolib.so libzopfli.so.${PV}
dosym libzopfli.so.${PV} /usr/$(get_libdir)/libzopfli.so.1
dolib.so libzopfli.so*
doheader src/zopfli/zopfli.h
dobin ${PN}
# This version was erroneously not bumped to match ${PV}
dolib.so libzopflipng.so.1.0.0
dosym libzopflipng.so.1.0.0 /usr/$(get_libdir)/libzopflipng.so.1
dolib.so libzopflipng.so*
doheader src/zopflipng/zopflipng_lib.h
dobin zopflipng
}

4
app-backup/tarsnap/metadata.xml

@ -1,10 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>gregkh@gentoo.org</email>
<name>Greg Kroah-Hartman</name>
</maintainer>
<maintainer type="person">
<email>rafaelmartins@gentoo.org</email>
<name>Rafael G. Martins</name>

38
app-cdr/cuecue/cuecue-0.2.2-r1.ebuild → app-cdr/cuecue/cuecue-0.2.2-r2.ebuild

@ -1,12 +1,11 @@
# Copyright 1999-2014 Gentoo Foundation
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=4
EAPI=6
inherit flag-o-matic
inherit base eutils flag-o-matic
DESCRIPTION="Cuecue is a suite to convert .cue + [.ogg|.flac|.wav|.mp3] to .cue + .bin"
DESCRIPTION="Cuecue converts .cue + [.ogg|.flac|.wav|.mp3] to .cue + .bin"
HOMEPAGE="http://cuecue.berlios.de/"
#SRC_URI="mirror://berlios/cuecue/${P}.tar.gz"
SRC_URI="mirror://gentoo/${P}.tar.gz"
@ -18,32 +17,37 @@ KEYWORDS="~amd64 ~x86"
IUSE="flac mp3 +vorbis"
REQUIRED_USE="|| ( flac mp3 vorbis )"
DEPEND="mp3? ( media-libs/libmad )
DEPEND="
flac? ( media-libs/flac )
vorbis? ( media-libs/libvorbis media-libs/libogg )"
PATCHES=( "${FILESDIR}/${P}-flac113.diff" ) # bug 157706
mp3? ( media-libs/libmad )
vorbis? ( media-libs/libvorbis media-libs/libogg )
"
PATCHES=(
"${FILESDIR}"/${P}-flac113.diff # bug 157706
"${FILESDIR}"/${P}-namespace.patch
"${FILESDIR}"/${P}-unused.patch
)
DOCS="CHANGES README TODO"
src_configure() {
econf \
--disable-dependency-tracking \
$(use_enable flac) \
$(use_enable mp3) \
$(use_enable vorbis ogg) \
--disable-dependency-tracking \
--disable-libFLACtest \
--disable-oggtest \
--disable-vorbistest \
$(use_enable flac) \
--disable-libFLACtest
--disable-vorbistest
}
src_compile() {
# fixes portage QA notice
append-flags "-ansi -pedantic"
emake CFLAGS="${CFLAGS}"
}
src_install () {
src_install() {
default
insinto /usr/include
doins src/libcuecue/cuecue.h || die "doins failed."
doins src/libcuecue/cuecue.h
}

5
app-cdr/cuecue/files/cuecue-0.2.2-flac113.diff

@ -1,6 +1,5 @@
diff -Naur src.orig/libcuecue/flac.c src/libcuecue/flac.c
--- src.orig/libcuecue/flac.c 2004-09-22 04:28:21.000000000 +0200
+++ src/libcuecue/flac.c 2007-02-27 23:25:36.000000000 +0100
--- a/src/libcuecue/flac.c
+++ b/src/libcuecue/flac.c
@@ -27,6 +27,12 @@
#include "cuecue.h"
#include "cuecue_internal.h"

12
app-cdr/cuecue/files/cuecue-0.2.2-namespace.patch

@ -0,0 +1,12 @@
--- a/src/libcuecue/cuecue.c
+++ b/src/libcuecue/cuecue.c
@@ -24,7 +24,9 @@
#define LINE_MAX 1024
+#ifndef FILENAME_MAX
#define FILENAME_MAX 1024
+#endif
FUNC_DECODER decoders[]=
{

23
app-cdr/cuecue/files/cuecue-0.2.2-unused.patch

@ -0,0 +1,23 @@
--- a/src/libcuecue/cuecue.c
+++ b/src/libcuecue/cuecue.c
@@ -163,12 +163,8 @@
char str[CUECUE_FILENAME_MAX];
char *ext;
int i;
- int found=0;
-
- ext = strrchr(filename,'.');
for(i=0; i<DECODER_MAX; i++) {
- char *ext;
strcpy(str,filename);
ext = strrchr(str,'.');
@@ -176,7 +172,6 @@
strcpy(ext,Extensions[i]);
if (FileExists(str)) {
strcpy(cuefile,str);
- found=1;
return 1;
}
}

2
app-crypt/efitools/Manifest

@ -1,3 +1 @@
DIST efitools-1.4.1.tar.gz 91444 SHA256 6946e7894118012ca12503a6e55a4f8f17310d0eb02d8f1ab8947d9012ad8b51 SHA512 0994fdd9f934575691f740631dfbcc67f15e56f873cba10657536389d61b5bb955b0de91261f0486bfa5381e27f42b5dd0b6ea55fe3643f8b0dae2f9b1916ef1 WHIRLPOOL 7eb973fd0239fa41d2ff82ccfda526725032c0da64d0cd5223a7d66abf42c951f4ba2d3613c024c3bceebf6e032af88527f6a35eff76f258f19e12431cbac0bd
DIST efitools-1.4.2.tar.gz 97303 SHA256 df7b9d7570b2fb85ee060e14b1952233d28e277f5b2f839c225f093890e5d843 SHA512 19433b6ccc95a18649b05376c0090f4325345d1a9ccf2601e9b4818a7a888379ab1bb620022f393498e520073f06e10962f5322632219fc21da390e4e5cd4c9f WHIRLPOOL 43000942f99fdf888bf2d2447eb28ca5eba9440194f5de71fd4532ad61a3735b23a08e4fdef4f89a9fd06e30537e9f6305e5f320e1c27ab60a6c4cb91762d74d
DIST efitools-1.7.0.tar.bz2 96042 SHA256 6221323665359ded31aefd2979853203cc08509d35bed09b05a28a9c060866ea SHA512 1e839c5565b0a113569cf47bf98d656875f9a127b481287a553e8b1276969021e1a39a730b9ede3852e15d1ac045db7ec64767f5ac71a24567236c0938697ccb WHIRLPOOL fc1762b5a35111f5f103273615b03318a4c319147e1e66898ceb748fd767cd977d8cf4d466e2cd7289fea66a755a4b13f44d9f7498a6a2216213045439726bf7

23
app-crypt/efitools/efitools-1.4.1-r1.ebuild

@ -1,23 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="4"
DESCRIPTION="Tools for manipulating UEFI secure boot platforms"
HOMEPAGE="https://git.kernel.org/cgit/linux/kernel/git/jejb/efitools.git"
SRC_URI="https://build.opensuse.org/package/rawsourcefile/home:jejb1:UEFI/efitools/efitools-${PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="dev-libs/openssl
sys-apps/util-linux"
DEPEND="${RDEPEND}
sys-apps/help2man
sys-boot/gnu-efi
app-editors/vim-core
app-crypt/sbsigntool
virtual/pkgconfig"

29
app-crypt/efitools/efitools-1.4.1-r2.ebuild

@ -1,29 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="4"
inherit eutils
DESCRIPTION="Tools for manipulating UEFI secure boot platforms"
HOMEPAGE="https://git.kernel.org/cgit/linux/kernel/git/jejb/efitools.git"
SRC_URI="https://build.opensuse.org/package/rawsourcefile/home:jejb1:UEFI/efitools/efitools-${PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="dev-libs/openssl
sys-apps/util-linux"
DEPEND="${RDEPEND}
sys-apps/help2man
sys-boot/gnu-efi
dev-perl/File-Slurp
app-crypt/sbsigntool
virtual/pkgconfig"
src_prepare() {
epatch "${FILESDIR}"/xxdi.patch
chmod 755 "${WORKDIR}/${P}/xxdi.pl"
}

21
app-crypt/efitools/efitools-1.4.1.ebuild

@ -1,21 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="4"
DESCRIPTION="Tools for manipulating UEFI secure boot platforms"
HOMEPAGE="https://git.kernel.org/cgit/linux/kernel/git/jejb/efitools.git"
SRC_URI="https://build.opensuse.org/package/rawsourcefile/home:jejb1:UEFI/efitools/efitools-${PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="dev-libs/openssl
sys-apps/util-linux"
DEPEND="${RDEPEND}
sys-apps/help2man
sys-boot/gnu-efi
virtual/pkgconfig"

25
app-crypt/efitools/efitools-1.4.2-r1.ebuild

@ -1,25 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="5"
DESCRIPTION="Tools for manipulating UEFI secure boot platforms"
HOMEPAGE="https://git.kernel.org/cgit/linux/kernel/git/jejb/efitools.git"
SRC_URI="http://blog.hansenpartnership.com/wp-uploads/2013/efitools-${PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="libressl"
RDEPEND="
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
sys-apps/util-linux"
DEPEND="${RDEPEND}
sys-apps/help2man
>=sys-boot/gnu-efi-3.0u
app-crypt/sbsigntool
virtual/pkgconfig
dev-perl/File-Slurp"

22
app-crypt/efitools/efitools-1.4.2.ebuild

@ -1,22 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="4"
DESCRIPTION="Tools for manipulating UEFI secure boot platforms"
HOMEPAGE="https://git.kernel.org/cgit/linux/kernel/git/jejb/efitools.git"
SRC_URI="http://blog.hansenpartnership.com/wp-uploads/2013/efitools-${PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="dev-libs/openssl
sys-apps/util-linux"
DEPEND="${RDEPEND}
sys-apps/help2man
sys-boot/gnu-efi
app-crypt/sbsigntool
virtual/pkgconfig"

110
app-crypt/efitools/files/xxdi.patch

@ -1,110 +0,0 @@
From gregkh@linuxfoundation.org Sun Sep 1 14:55:47 2013
Date: Sun, 1 Sep 2013 14:58:15 -0700
From: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
To: James Bottomley <James.Bottomley@HansenPartnership.com>
Cc: JBottomley@Parallels.com, greg@kroah.com
Subject: [efitools PATCH] Makefile/Make.rules: don't rely on vim-core
Message-ID: <20130901215815.GA8749@kroah.com>
From: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
Subject: Makefile/Make.rules: don't rely on vim-core
This adds the xxdi.pl script to replace the call to 'xxd -i', removing a
build dependancy on vim-core, which some distros don't really want to
have (i.e. Gentoo and its build derivatives like ChromeOS and CoreOS.)
Signed-off-by: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
---
Make.rules | 2 +-
Makefile | 2 +-
xxdi.pl | 50 ++++++++++++++++++++++++++++++++++++++++++++++++++
3 files changed, 52 insertions(+), 2 deletions(-)
create mode 100755 xxdi.pl
diff --git a/Make.rules b/Make.rules
index 419b3b9..309b231 100644
--- a/Make.rules
+++ b/Make.rules
@@ -38,7 +38,7 @@ endif
nm -D $@ | grep ' U ' && exit 1 || exit 0
%.h: %.auth
- xxd -i $< > $@
+ ./xxdi.pl $< > $@
%.hash: %.efi hash-to-efi-sig-list
./hash-to-efi-sig-list $< $@
diff --git a/Makefile b/Makefile
index 52f4551..a39cafe 100644
--- a/Makefile
+++ b/Makefile
@@ -62,7 +62,7 @@ DB.auth: DB.esl KEK.crt sign-efi-sig-list
hashlist.h: HashTool.hash
cat $^ > /tmp/tmp.hash
- xxd -i /tmp/tmp.hash > $@
+ ./xxdi.pl /tmp/tmp.hash > $@
rm -f /tmp/tmp.hash
diff --git a/xxdi.pl b/xxdi.pl
new file mode 100755
index 0000000..acc974c
--- /dev/null
+++ b/xxdi.pl
@@ -0,0 +1,50 @@
+#!/usr/bin/env perl
+#
+# xxdi.pl - perl implementation of 'xxd -i' mode
+#
+# Copyright 2013 Greg Kroah-Hartman <gregkh@linuxfoundation.org>
+# Copyright 2013 Linux Foundation
+#
+# Released under the GPLv2.
+#
+# Implements the "basic" functionality of 'xxd -i' in perl to keep build
+# systems from having to build/install/rely on vim-core, which not all
+# distros want to do. But everyone has perl, so use it instead.
+#
+
+use strict;
+use warnings;
+use File::Slurp qw(slurp);
+
+my $indata = slurp(@ARGV ? $ARGV[0] : \*STDIN);
+my $len_data = length($indata);
+my $num_digits_per_line = 12;
+my $var_name;
+my $outdata;
+
+# Use the variable name of the file we read from, converting '/' and '.
+# to '_', or, if this is stdin, just use "stdin" as the name.
+if (@ARGV) {
+ $var_name = $ARGV[0];
+ $var_name =~ s/\//_/g;
+ $var_name =~ s/\./_/g;
+} else {
+ $var_name = "stdin";
+}
+
+$outdata .= "unsigned char $var_name\[] = {";
+
+# trailing ',' is acceptable, so instead of duplicating the logic for
+# just the last character, live with the extra ','.
+for (my $key= 0; $key < $len_data; $key++) {
+ if ($key % $num_digits_per_line == 0) {
+ $outdata .= "\n\t";
+ }
+ $outdata .= sprintf("0x%.2x, ", ord(substr($indata, $key, 1)));
+}
+
+$outdata .= "\n};\nunsigned int $var_name\_len = $len_data;\n";
+
+binmode STDOUT;
+print {*STDOUT} $outdata;
+
--
1.8.4.6.g82e253f.dirty

4
app-crypt/efitools/metadata.xml

@ -1,8 +1,4 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>gregkh@gentoo.org</email>
<description>do whatever</description>
</maintainer>
</pkgmetadata>

1
app-crypt/gnupg/Manifest

@ -8,3 +8,4 @@ DIST gnupg-2.0.30.tar.bz2 4414652 SHA256 e329785a4f366ba5d72c2c678a7e388b0892ac8
DIST gnupg-2.1.12.tar.bz2 5510723 SHA256 ac34929d2400a58a349963865442ee6cdd75e500a8d5df083d29835e88bfc506 SHA512 fdf24d4980ba4011840fd2316a856db2bf50e531071c2bfb899af2b4f5580a9f2992f85a451670a7121d04b608bfb147cefdca1c6f6eb55bc23ecfe5052639e6 WHIRLPOOL ee5a748afee3aa4f8318c1bc1bcbd09232a71853291211f3c5cd8cc44fb70d126185ae9c13086247cd22a9b13c2102f4fa0553e25496c5152f2ce34dc2505d10
DIST gnupg-2.1.13.tar.bz2 5545361 SHA256 4f9d83a6221daa60130fa79f0b1d37d6c20fffdd0320b640c7a597c5b6219675 SHA512 37b6271cdd68fc1d0ec848fa742932afbe8fc662597bcf20398585b51171e7abce40d99ab02f816160b34f7a8d1c60c6e43d8e0192ed107a521579b870b3ebd3 WHIRLPOOL 4b97e579bf988a2142bdb83420feef5e0549db0f0a17f2ee8b890e22cb54b38166459d25b05c7f9dcbb14dd5363bf08c24f377d09038884110e29dbbfeb9b73d
DIST gnupg-2.1.14.tar.bz2 5706058 SHA256 9450dee9693b6a12bf0c374dae77b66c30f69ff8f35fc9266ab8dd76998eba42 SHA512 9f098bf589ecb841eb65fccad3ffd72c6645c8e186ddababf93c657173c485ed103f8f8a7d8bfeb86cfb9e065a1211c7d48b116c86d6aa97ed1b8c8a85e0a840 WHIRLPOOL 4a41fb68f14a53e6e1c26abb77ec66312167d61032720841f55102f2159938a1a0773c0610d9b5200a7fcf7a12c28913bccdf69e984b8f04b2dc56c72d4a8329
DIST gnupg-2.1.15.tar.bz2 5723689 SHA256 c28c1a208f1b8ad63bdb6b88d252f6734ff4d33de6b54e38494b11d49e00ffdd SHA512 69c943e853e1a37e8b17b3bc34e1503f14bc8f189fa9f3ac6644bcc98ccce6eaef64da20ff9dd1c8de3a7789ea577167984ccf3ac286cac50752e6f7c2f42ab1 WHIRLPOOL 4c5a8cd4e8b7196f4a355ce7739cf6e23c43817414e10bbba219117e4e51c4c618ffb5dbce27cb836a2171eda58e003d5ddf78d4af09a813c2a1729963413151

158
app-crypt/gnupg/gnupg-2.1.15.ebuild

@ -0,0 +1,158 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="5"
inherit eutils flag-o-matic toolchain-funcs
DESCRIPTION="The GNU Privacy Guard, a GPL OpenPGP implementation"
HOMEPAGE="http://www.gnupg.org/"
MY_P="${P/_/-}"
SRC_URI="mirror://gnupg/gnupg/${MY_P}.tar.bz2"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
IUSE="bzip2 doc +gnutls ldap nls readline selinux smartcard tofu tools usb"
COMMON_DEPEND_LIBS="
>=dev-libs/npth-1.2
>=dev-libs/libassuan-2.4.3
>=dev-libs/libgcrypt-1.7.3
>=dev-libs/libgpg-error-1.24
>=dev-libs/libksba-1.3.4
>=net-misc/curl-7.10
gnutls? ( >=net-libs/gnutls-3.0:0= )
sys-libs/zlib
ldap? ( net-nds/openldap )
bzip2? ( app-arch/bzip2 )
readline? ( sys-libs/readline:0= )
smartcard? ( usb? ( virtual/libusb:0 ) )
tofu? ( >=dev-db/sqlite-3.7 )
"
COMMON_DEPEND_BINS="app-crypt/pinentry
!app-crypt/dirmngr"
# Existence of executables is checked during configuration.
DEPEND="${COMMON_DEPEND_LIBS}
${COMMON_DEPEND_BINS}
nls? ( sys-devel/gettext )
doc? ( sys-apps/texinfo )"
RDEPEND="${COMMON_DEPEND_LIBS}
${COMMON_DEPEND_BINS}
selinux? ( sec-policy/selinux-gpg )
nls? ( virtual/libintl )"
S="${WORKDIR}/${MY_P}"
src_prepare() {
epatch_user
}
src_configure() {
local myconf=()
if use smartcard; then
myconf+=(
--enable-scdaemon
$(use_enable usb ccid-driver)
)
else
myconf+=( --disable-scdaemon )
fi
if use elibc_SunOS || use elibc_AIX; then
myconf+=( --disable-symcryptrun )
else
myconf+=( --enable-symcryptrun )
fi
# glib fails and picks up clang's internal stdint.h causing weird errors
[[ ${CC} == *clang ]] && \
export gl_cv_absolute_stdint_h=/usr/include/stdint.h
econf \
--docdir="${EPREFIX}/usr/share/doc/${PF}" \
--enable-gpg \
--enable-gpgsm \
--enable-large-secmem \
--without-adns \
"${myconf[@]}" \
$(use_enable bzip2) \
$(use_enable gnutls) \
$(use_with ldap) \
$(use_enable nls) \
$(use_with readline) \
$(use_enable tofu) \
$(use_enable tools wks-tools) \
CC_FOR_BUILD="$(tc-getBUILD_CC)"
}
src_compile() {
default
if use doc; then
cd doc
emake html
fi
}
src_install() {
default
use tools && dobin tools/{convert-from-106,gpg-check-pattern} \
tools/{gpg-zip,gpgconf,gpgsplit,lspgpot,mail-signed-keys,make-dns-cert}
emake DESTDIR="${D}" -f doc/Makefile uninstall-nobase_dist_docDATA
# The help*txt files are read from the datadir by GnuPG directly.
# They do not work if compressed or moved!
#rm "${ED}"/usr/share/gnupg/help* || die
dodoc ChangeLog NEWS README THANKS TODO VERSION doc/FAQ doc/DETAILS \
doc/HACKING doc/TRANSLATE doc/OpenPGP doc/KEYSERVER doc/help*
dosym gpg2 /usr/bin/gpg
dosym gpgv2 /usr/bin/gpgv
echo ".so man1/gpg2.1" > "${ED}"/usr/share/man/man1/gpg.1
echo ".so man1/gpgv2.1" > "${ED}"/usr/share/man/man1/gpgv.1
dodir /etc/env.d
echo "CONFIG_PROTECT=/usr/share/gnupg/qualified.txt" >> "${ED}"/etc/env.d/30gnupg
if use doc; then
dohtml doc/gnupg.html/* doc/*.png
fi
}
pkg_postinst() {
elog "If you wish to view images emerge:"
elog "media-gfx/xloadimage, media-gfx/xli or any other viewer"
elog "Remember to use photo-viewer option in configuration file to activate"
elog "the right viewer."
elog
if use smartcard; then
elog "To use your OpenPGP smartcard (or token) with GnuPG you need one of"
use usb && elog " - a CCID-compatible reader, used directly through libusb;"
elog " - sys-apps/pcsc-lite and a compatible reader device;"
elog " - dev-libs/openct and a compatible reader device;"
elog " - a reader device and drivers exporting either PC/SC or CT-API interfaces."
elog ""
elog "General hint: you probably want to try installing sys-apps/pcsc-lite and"
elog "app-crypt/ccid first."
fi
ewarn "Please remember to restart gpg-agent if a different version"
ewarn "of the agent is currently used. If you are unsure of the gpg"
ewarn "agent you are using please run 'killall gpg-agent',"
ewarn "and to start a fresh daemon just run 'gpg-agent --daemon'."
if [[ -n ${REPLACING_VERSIONS} ]]; then
elog "If upgrading from a version prior than 2.1 you might have to re-import"
elog "secret keys after restarting the gpg-agent as the new version is using"
elog "a new storage mechanism."
elog "You can migrate the keys using gpg --import \$HOME/.gnupg/secring.gpg"
fi
}

4
app-crypt/md5deep/metadata.xml

@ -1,10 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>tristan@gentoo.org</email>
<name>Tristan Heaven</name>
</maintainer>
<upstream>
<remote-id type="github">jessek/hashdeep</remote-id>
<remote-id type="sourceforge">md5deep</remote-id>

4
app-crypt/pesign/metadata.xml

@ -1,10 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>gregkh@gentoo.org</email>
<description>do whatever</description>
</maintainer>
<upstream>
<remote-id type="github">vathpela/pesign</remote-id>
</upstream>

4
app-doc/linux-kernel-in-a-nutshell/metadata.xml

@ -1,8 +1,4 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>gregkh@gentoo.org</email>
<name>Greg Kroah-Hartman</name>
</maintainer>
</pkgmetadata>

4
app-editors/leafpad/metadata.xml

@ -1,10 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>tristan@gentoo.org</email>
<name>Tristan Heaven</name>
</maintainer>
<use>
<flag name="emacs">Enable Emacs key theme</flag>
</use>

4
app-emacs/basic-toolkit/basic-toolkit-0.3.ebuild

@ -21,6 +21,6 @@ DEPEND="${RDEPEND}"
SITEFILE="50${PN}-gentoo.el"
src_compile() {
elisp-compile *.el || die
elisp-make-autoload-file || die
elisp-compile *.el
elisp-make-autoload-file
}

4
app-emacs/buffer-extension/buffer-extension-0.1.ebuild

@ -21,6 +21,6 @@ DEPEND="${RDEPEND}"
SITEFILE="50${PN}-gentoo.el"
src_compile() {
elisp-compile *.el || die
elisp-make-autoload-file || die
elisp-compile *.el
elisp-make-autoload-file
}

4
app-emacs/cycle-buffer/cycle-buffer-2.16.ebuild

@ -18,6 +18,6 @@ KEYWORDS="~amd64"
SITEFILE="50${PN}-gentoo.el"
src_compile() {
elisp-compile *.el || die
elisp-make-autoload-file || die
elisp-compile *.el
elisp-make-autoload-file
}

4
app-emacs/revive/revive-2.23.ebuild

@ -18,6 +18,6 @@ KEYWORDS="~amd64"
SITEFILE="50${PN}-gentoo.el"
src_compile() {
elisp-compile *.el || die
elisp-make-autoload-file || die
elisp-compile *.el
elisp-make-autoload-file
}

4
app-emacs/windows/windows-2.49.ebuild

@ -21,6 +21,6 @@ DEPEND="${RDEPEND}"
SITEFILE="50${PN}-gentoo.el"
src_compile() {
elisp-compile *.el || die
elisp-make-autoload-file || die
elisp-compile *.el
elisp-make-autoload-file
}

2
app-emulation/cloud-init/cloud-init-0.7.7.ebuild

@ -52,6 +52,8 @@ RDEPEND="
PATCHES=( "${FILESDIR}/cloud-init-0.7.7-gentooinit.patch" )
python_prepare_all() {
sed -i '/^argparse/d' requirements.txt || die
sed -i '/^hacking/d' test-requirements.txt || die
distutils-r1_python_prepare_all
}

9
app-office/calligra/calligra-2.9.11.ebuild

@ -12,6 +12,7 @@ CHECKREQS_DISK_BUILD="4G"
KDE_HANDBOOK="optional"
KDE_LINGUAS_LIVE_OVERRIDE="true"
OPENGL_REQUIRED="optional"
WEBKIT_REQUIRED="optional"
inherit check-reqs kde4-base versionator
DESCRIPTION="KDE Office Suite"
@ -57,6 +58,7 @@ REQUIRED_USE="
calligra_features_krita? ( eigen exif lcms opengl )
calligra_features_plan? ( kdepim )
calligra_features_sheets? ( eigen )
calligra_features_stage? ( webkit )
vc? ( calligra_features_krita )
test? ( calligra_features_karbon )
"
@ -150,6 +152,13 @@ pkg_setup() {
check-reqs_pkg_setup
}
src_prepare() {
if ! use webkit; then
sed -i CMakeLists.txt -e "/^find_package/ s/QtWebKit //" || die
fi
kde4-base_src_prepare
}
src_configure() {
local cal_ft myproducts

1
app-portage/epm/Manifest

@ -1 +0,0 @@
DIST epm-1.40.tar.gz 10980 SHA256 da435cc7a86807f9a1575afdb0ed6bdef26a9b7d0f1d8b91550b1aacf75eeefc SHA512 745c7f902fb35672058b05763a308322fb891b5dcc4f37a0444fdc22f1802ec5e8479445537c299e23dcf3882259751a163e356a633e270a2386a1456b541103 WHIRLPOOL f61f47480108d477afee7fdab549894898ea70ba61a004fef99885390c5eeab601bb271db73b301fd94093266be05496c9308031fd98f27bd0c58e53fb91b036

33
app-portage/epm/epm-1.40.ebuild

@ -1,33 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="4"
inherit eutils prefix
DESCRIPTION="rpm workalike for Gentoo Linux"
HOMEPAGE="https://github.com/fuzzyray/epm"
SRC_URI="https://www.gentoo.org/~fuzzyray/distfiles/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sparc x86 ~sparc-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos"
IUSE=""
DEPEND=">=dev-lang/perl-5"
RDEPEND="${DEPEND}"
src_prepare() {
epatch "${FILESDIR}"/${P}-prefix.patch
eprefixify epm
}
src_compile() {
pod2man epm > epm.1 || die "pod2man failed"
}
src_install() {
dobin epm || die
doman epm.1
}

34
app-portage/epm/epm-9999.ebuild

@ -1,34 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="4"
inherit eutils git-2
DESCRIPTION="rpm workalike for Gentoo Linux"
HOMEPAGE="https://github.com/fuzzyray/epm"
SRC_URI=""
EGIT_REPO_URI="git://github.com/fuzzyray/epm.git"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS=""
IUSE=""
DEPEND=">=dev-lang/perl-5"
RDEPEND="${DEPEND}"
src_prepare() {
sed -i "s/\"EPM version .*\";/\"EPM version 9999-${EGIT_VERSION}\";/" epm \
|| die "Failed to set version"
}
src_compile() {
pod2man epm > epm.1 || die "pod2man failed"
}
src_install() {
dobin epm || die
doman epm.1
}

32
app-portage/epm/files/epm-1.40-prefix.patch

@ -1,32 +0,0 @@
--- epm.orig 2012-12-27 21:21:51.288350173 -0700
+++ epm 2012-12-27 21:26:51.429905384 -0700
@@ -7,13 +7,13 @@
# Global vars
(my $version = '$Revision: 1.2 $') =~ s/.*?(\d.*\d).*/EPM version $1/;
my $verbose = 0;
-my $dbpath = '/var/db/pkg';
+my $dbpath = '@GENTOO_PORTAGE_EPREFIX@/var/db/pkg';
my $pkgregex =
'^.+?\/'. # group (ignored)
'(.+?)'. # name
'-(\d+(?:\.\d+)*\w*)'. # version, eg 1.23.4a
'((?:(?:_alpha|_beta|_pre|_rc)\d*)?)'. # special suffix
- '((?:-r\d+)?)$'; # revision, eg r12
+ '((?:-r\d+)?(?:\.\d+)?)$'; # revision, eg r12 or r01.1
my $root = '/';
my %opt = (
'dbpath' => \$dbpath,
@@ -267,11 +267,11 @@
if ($opt{'c'}) {
# Read in CONFIG_PROTECT from /etc/make.{global,conf}
my (@CONFIG_PROTECT) = split ' ',
- `. /etc/make.globals; . /etc/make.conf; echo \$CONFIG_PROTECT`;
+ `. @GENTOO_PORTAGE_EPREFIX@/etc/make.globals; . @GENTOO_PORTAGE_EPREFIX@/etc/make.conf; echo \$CONFIG_PROTECT`;
die "CONFIG_PROTECT is empty" unless @CONFIG_PROTECT;
my ($confprotre) = join '|', @CONFIG_PROTECT;
@files = grep {
- (split ' ', $_, 2)[1] =~ /^($confprotre)/o } @files;
+ (split ' ', $_, 2)[1] =~ m!^@GENTOO_PORTAGE_EPREFIX@($confprotre)!o } @files;
}
# Trim @files if doc files requested

20
app-portage/epm/metadata.xml

@ -1,20 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>gentoo@weilbacher.org</email>
<name>Peter Weilbacher</name>
<description>Current maintainer, assign bugs</description>
</maintainer>
<maintainer type="person">
<email>fuzzyray@gentoo.org</email>
<description>Proxy committer, CC bugs</description>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
<upstream>
<remote-id type="github">fuzzyray/epm</remote-id>
</upstream>
</pkgmetadata>

4
app-portage/repo-commit/metadata.xml

@ -1,6 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>binki@gentoo.org</email>
<name>Nathan Phillip Brink</name>
</maintainer>
<upstream>
<maintainer status="active">
<email>binki@gentoo.org</email>

1
app-text/kbibtex/kbibtex-0.6.ebuild

@ -4,6 +4,7 @@
EAPI=5
WEBKIT_REQUIRED="always"
inherit kde4-base versionator
DESCRIPTION="BibTeX editor for KDE to edit bibliographies used with LaTeX"

21
app-vim/pushpop/pushpop-4.0-r1.ebuild

@ -0,0 +1,21 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=6
inherit vim-plugin
DESCRIPTION="vim plugin: pushd / popd from the vim commandline"
HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=129"
LICENSE="GPL-2"
KEYWORDS="~alpha ~amd64 ~ia64 ~mips ~ppc ~sparc ~x86"
IUSE=""
RDEPEND="
>=app-vim/genutils-1.1
>=app-vim/cmdalias-1.0"
VIM_PLUGIN_HELPTEXT=\
"This plugin provides :Pushd and :Popd commands which emulate bash's pushd
and popd functions."

3
dev-db/mongodb/Manifest

@ -1,7 +1,6 @@
DIST 20140409-mms-monitoring-agent.zip 40122 SHA256 9c4f89cfba10b4604512ab21eb082248104aeabe7e813b852db2b86f47d7ecb2 SHA512 5290a813c407251b5e4def813ce6fe7e09d6c3a1907fd409e326b15b07aed39f7db3a28710ecdaffe2771136c9433253c5d1857c823844a4b75dd38f1d15eefd WHIRLPOOL ce80870e2618f3d9ed80af41b1069ed5bd97af475089564eed1bc111e820c048bc5cbaa03f859349e772fe232f876127e0627c75c135a9b2e196ab13258ed9f1
DIST mongodb-src-r2.6.11.tar.gz 16461163 SHA256 e1a64a1ef7114f3e8ed3c7acaa4e97ffe30e2b57a1a5f2a40f0018bad3b8d12f SHA512 43b8c5e1ffde2c7f4bead392a95fdb34169419b8296acf04a17894379647c09bbec91be88037ab447da399f03a2c7c54c9d7613df0baa6e9e48e1267327ca937 WHIRLPOOL 083c897f83992c64a89e595058b7695671ca7e9339be2a54d14cf8a200d5063f4a33c320c02e45f5d3bd6367b5acf67a80677c92abba9a92a647d7310a2e6316
DIST mongodb-src-r2.6.12.tar.gz 16462842 SHA256 2dd51eabcfcd133573be74c0131c85b67764042833e7d94077e86adc0b9406dc SHA512 ceed10f2da50ca390f56cc79d39ea4db7a1ef6764e37dae61c3f3f664708be72de09443bbf94f8e58479e4f2923ff2ab9eee45652e82271b3bad591e03ef7657 WHIRLPOOL 1587ef45ee17f9e3357a92b480ea739192076ead280c44c801650d01d2ae29a627a96db611eac6c9b6b47e5e619e2362df94e1792348709b3ea5a4970a8751a0
DIST mongodb-src-r2.6.8.tar.gz 14545274 SHA256 1997f60d9de17320f22c604d8aa1cbe5f38d877142cd0e9130fe3dae7b311a06 SHA512 6fa69750debb40d0be4d5d057125320d97e882e30c43c664fcb6ec6a9e6a8bff5e63637fc8952a6d898556b2c2ce84254d135387dc0879bf65dbd5e91b8732ef WHIRLPOOL ba87ca07258ad4df90c92bc300da6cc661117a98f254a8ba62ac362a857ecc2462eb9ddf1d929a6e2187853233053e975aa02139f880d736e47e542a9504bd28
DIST mongodb-src-r3.0.10.tar.gz 29336823 SHA256 7dbecb1e32c35dca1b0e00cd55ba08bfde558d2f9036f8b9b583e6d442b9a83c SHA512 99cd96387b14ef02803ef8c88e260cd898362765e797029cec79b9a286d5a43b76fe3e147929e38578d5203954c26e8d60f814d40ba1572a870605e3b25a6707 WHIRLPOOL 84e520777142e55bef08e87295087e3633c650a78a9c3bc35d116e85d7e2e65e420e2b678ecb214588a0dee7808fe3505169673ff1dbe6bd6f150d2928f87625
DIST mongodb-src-r3.0.12.tar.gz 29353503 SHA256 b9bea5e3d59b93775d5d55fb1dd161272aeefa193c2311a8f6722ad46d7a21ab SHA512 52bceadeeeaaa1880df22dc541bd4190c81e0d37cc93b24629f581028978a868de120e9e3430295a7b8c0a793b465efba1d52616cb121d1b97c622e55ae46255 WHIRLPOOL 11c8d23d1f2d7254927dcfa5ded413d1d049dbb3d68f140a4a1ca361679213caf8c44712780d40b59fd98f0df1bcdc6cef68a180115b2800a828c72c86c99df3
DIST mongodb-src-r3.2.8.tar.gz 28504785 SHA256 5501e0e90c9358358e9ee20d4814643e910b847827627ed7ca1a9d90d220c0a7 SHA512 264161b98e243ed2058487b765d1b06c6aacaabd058f36fff9f4d72b451dd2f811c56b528ad1d26da118844e8020453598727a0367249b959af3c9b39048fd1c WHIRLPOOL 2c18bd9e56cb9168e4d883e0ea51c3185f175d52c834a8c9a6cecba2987b90ad1b8103ee92fc69e97b3d1d2336e036ee0a44270db029f48ae78f0aee759b4822
DIST mongodb-src-r3.2.9.tar.gz 28950352 SHA256 25f8817762b784ce870edbeaef14141c7561eb6d7c14cd3197370c2f9790061b SHA512 83187167c9775065ac24da180c6483bfc1580e085cfb7ff27572c812b9eee9ec7e9800d5da2238c333f03c641cc0e41b067341f28578ffc4513369a3f99dc002 WHIRLPOOL e661cb05f5ad6649a424ce80d4db9ee1979d127a947869d85adcd6be7ab4cb6d1d694d19675d43840ed910455bd873af15871f0addd41bc2db122ff7d4281a1d

180
dev-db/mongodb/mongodb-2.6.11.ebuild

@ -1,180 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
SCONS_MIN_VERSION="1.2.0"
CHECKREQS_DISK_BUILD="2400M"
CHECKREQS_DISK_USR="512M"
CHECKREQS_MEMORY="1024M"
inherit eutils flag-o-matic multilib pax-utils scons-utils systemd user versionator check-reqs
MY_P=${PN}-src-r${PV/_rc/-rc}
DESCRIPTION="A high-performance, open source, schema-free document-oriented database"
HOMEPAGE="http://www.mongodb.org"
SRC_URI="http://downloads.mongodb.org/src/${MY_P}.tar.gz
mms-agent? ( https://dev.gentoo.org/~ultrabug/20140409-mms-monitoring-agent.zip )"
LICENSE="AGPL-3 Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="debug kerberos mms-agent ssl static-libs"
PDEPEND="mms-agent? ( dev-python/pymongo app-arch/unzip )"
RDEPEND="
app-arch/snappy
>=dev-cpp/yaml-cpp-0.5.1
>=dev-libs/boost-1.50[threads(+)]
>=dev-libs/libpcre-8.37[cxx]
dev-libs/snowball-stemmer
dev-util/google-perftools[-minimal]
net-libs/libpcap
ssl? ( >=dev-libs/openssl-1.0.1g )"
DEPEND="${RDEPEND}
sys-libs/ncurses
sys-libs/readline
kerberos? ( dev-libs/cyrus-sasl[kerberos] )"
S=${WORKDIR}/${MY_P}
pkg_setup() {
enewgroup mongodb
enewuser mongodb -1 -1 /var/lib/${PN} mongodb
scons_opts="--variant-dir=build --cc=$(tc-getCC) --cxx=$(tc-getCXX)"
scons_opts+=" --disable-warnings-as-errors"
scons_opts+=" --use-system-boost"
scons_opts+=" --use-system-pcre"
scons_opts+=" --use-system-snappy"
scons_opts+=" --use-system-stemmer"
scons_opts+=" --use-system-tcmalloc"
scons_opts+=" --use-system-yaml"
scons_opts+=" --usev8"
if use debug; then
scons_opts+=" --dbg=on"
fi
if use prefix; then
scons_opts+=" --cpppath=${EPREFIX}/usr/include"
scons_opts+=" --libpath=${EPREFIX}/usr/$(get_libdir)"
fi
if use kerberos; then
scons_opts+=" --use-sasl-client"
fi
if use ssl; then
scons_opts+=" --ssl"
fi
}
src_prepare() {
epatch "${FILESDIR}/${PN}-2.6.2-fix-scons.patch"
epatch "${FILESDIR}/${PN}-2.4-fix-v8-pythonpath.patch"
epatch "${FILESDIR}/${PN}-2.6.10-fix-boost-1.57.patch"
# fix yaml-cpp detection
sed -i -e "s/\[\"yaml\"\]/\[\"yaml-cpp\"\]/" SConstruct || die
# bug #462606
sed -i -e "s@\$INSTALL_DIR/lib@\$INSTALL_DIR/$(get_libdir)@g" src/SConscript.client || die
# bug #482576
sed -i -e "/-Werror/d" src/third_party/v8/SConscript || die
}
src_configure() {
# filter some problematic flags
filter-flags "-march=*"
filter-flags -O?
}
src_compile() {
escons ${scons_opts} all
}
src_install() {
escons ${scons_opts} --full --nostrip install --prefix="${ED}"/usr
use static-libs || find "${ED}"/usr/ -type f -name "*.a" -delete
for x in /var/{lib,log}/${PN}; do
keepdir "${x}"
fowners mongodb:mongodb "${x}"
done
doman debian/mongo*.1
dodoc README docs/building.md
newinitd "${FILESDIR}/${PN}.initd-r2" ${PN}
newconfd "${FILESDIR}/${PN}.confd-r2" ${PN}
newinitd "${FILESDIR}/${PN/db/s}.initd-r2" ${PN/db/s}
newconfd "${FILESDIR}/${PN/db/s}.confd-r2" ${PN/db/s}
insinto /etc
newins "${FILESDIR}/${PN}.conf-r2" ${PN}.conf
newins "${FILESDIR}/${PN/db/s}.conf-r2" ${PN/db/s}.conf
systemd_dounit "${FILESDIR}/${PN}.service"
insinto /etc/logrotate.d/
newins "${FILESDIR}/${PN}.logrotate" ${PN}
# see bug #526114
pax-mark emr "${ED}"/usr/bin/{mongo,mongod,mongos}
if use mms-agent; then
local MY_PN="mms-agent"
local MY_D="/opt/${MY_PN}"
insinto /etc
newins "${WORKDIR}/${MY_PN}/settings.py" mms-agent.conf
rm "${WORKDIR}/${MY_PN}/settings.py"
insinto ${MY_D}
doins "${WORKDIR}/${MY_PN}/"*
dosym /etc/mms-agent.conf ${MY_D}/settings.py
fowners -R mongodb:mongodb ${MY_D}
newinitd "${FILESDIR}/${MY_PN}.initd-r2" ${MY_PN}
fi
}
pkg_preinst() {
# wrt bug #461466
if [[ "$(get_libdir)" == "lib64" ]]; then
rmdir "${ED}"/usr/lib/ &>/dev/null
fi
}
src_test() {
escons ${scons_opts} test
"${S}"/test --dbpath=unittest || die
}
pkg_postinst() {
if [[ ${REPLACING_VERSIONS} < 2.6 ]]; then
ewarn "!! IMPORTANT !!"
ewarn " "
ewarn "${PN} configuration files have changed !"
ewarn " "
ewarn "Make sure you migrate from /etc/conf.d/${PN} to the new YAML standard in /etc/${PN}.conf"
ewarn " http://docs.mongodb.org/manual/reference/configuration-options/"
ewarn " "
ewarn "Make sure you also follow the upgrading process :"
ewarn " http://docs.mongodb.org/master/release-notes/2.6-upgrade/"
ewarn " "
if use mms-agent; then
ewarn "MMS Agent configuration file has been moved to :"
ewarn " /etc/mms-agent.conf"
fi
else
if use mms-agent; then
elog "Edit your MMS Agent configuration file :"
elog " /etc/mms-agent.conf"
fi
fi
}

46
dev-db/mongodb/mongodb-2.6.12.ebuild

@ -1,4 +1,4 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@ -156,25 +156,29 @@ src_test() {
}
pkg_postinst() {
if [[ ${REPLACING_VERSIONS} < 2.6 ]]; then
ewarn "!! IMPORTANT !!"
ewarn " "
ewarn "${PN} configuration files have changed !"
ewarn " "
ewarn "Make sure you migrate from /etc/conf.d/${PN} to the new YAML standard in /etc/${PN}.conf"
ewarn " http://docs.mongodb.org/manual/reference/configuration-options/"
ewarn " "
ewarn "Make sure you also follow the upgrading process :"
ewarn " http://docs.mongodb.org/master/release-notes/2.6-upgrade/"
ewarn " "
if use mms-agent; then
ewarn "MMS Agent configuration file has been moved to :"
ewarn " /etc/mms-agent.conf"
local v
for v in ${REPLACING_VERSIONS}; do
if ! version_is_at_least 2.6 ${v}; then
ewarn "!! IMPORTANT !!"
ewarn " "
ewarn "${PN} configuration files have changed !"
ewarn " "
ewarn "Make sure you migrate from /etc/conf.d/${PN} to the new YAML standard in /etc/${PN}.conf"
ewarn " http://docs.mongodb.org/manual/reference/configuration-options/"
ewarn " "
ewarn "Make sure you also follow the upgrading process :"
ewarn " http://docs.mongodb.org/master/release-notes/2.6-upgrade/"
ewarn " "
if use mms-agent; then
ewarn "MMS Agent configuration file has been moved to :"
ewarn " /etc/mms-agent.conf"
fi
break
else
if use mms-agent; then
elog "Edit your MMS Agent configuration file :"
elog " /etc/mms-agent.conf"
fi
fi
else
if use mms-agent; then
elog "Edit your MMS Agent configuration file :"
elog " /etc/mms-agent.conf"
fi
fi
done
}

46
dev-db/mongodb/mongodb-2.6.8.ebuild

@ -1,4 +1,4 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@ -156,25 +156,29 @@ src_test() {
}
pkg_postinst() {
if [[ ${REPLACING_VERSIONS} < 2.6 ]]; then
ewarn "!! IMPORTANT !!"
ewarn " "
ewarn "${PN} configuration files have changed !"
ewarn " "
ewarn "Make sure you migrate from /etc/conf.d/${PN} to the new YAML standard in /etc/${PN}.conf"
ewarn " http://docs.mongodb.org/manual/reference/configuration-options/"
ewarn " "
ewarn "Make sure you also follow the upgrading process :"
ewarn " http://docs.mongodb.org/master/release-notes/2.6-upgrade/"
ewarn " "
if use mms-agent; then
ewarn "MMS Agent configuration file has been moved to :"
ewarn " /etc/mms-agent.conf"
local v
for v in ${REPLACING_VERSIONS}; do
if ! version_is_at_least 2.6 ${v}; then
ewarn "!! IMPORTANT !!"
ewarn " "
ewarn "${PN} configuration files have changed !"
ewarn " "
ewarn "Make sure you migrate from /etc/conf.d/${PN} to the new YAML standard in /etc/${PN}.conf"
ewarn " http://docs.mongodb.org/manual/reference/configuration-options/"
ewarn " "
ewarn "Make sure you also follow the upgrading process :"
ewarn " http://docs.mongodb.org/master/release-notes/2.6-upgrade/"
ewarn " "
if use mms-agent; then
ewarn "MMS Agent configuration file has been moved to :"
ewarn " /etc/mms-agent.conf"
fi
break
else
if use mms-agent; then
elog "Edit your MMS Agent configuration file :"
elog " /etc/mms-agent.conf"
fi
fi
else
if use mms-agent; then
elog "Edit your MMS Agent configuration file :"
elog " /etc/mms-agent.conf"
fi
fi
done
}

156
dev-db/mongodb/mongodb-3.0.10.ebuild

@ -1,156 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
SCONS_MIN_VERSION="2.3.0"
CHECKREQS_DISK_BUILD="2400M"
CHECKREQS_DISK_USR="512M"
CHECKREQS_MEMORY="1024M"
inherit eutils flag-o-matic multilib pax-utils scons-utils systemd user versionator check-reqs
MY_P=${PN}-src-r${PV/_rc/-rc}
DESCRIPTION="A high-performance, open source, schema-free document-oriented database"
HOMEPAGE="http://www.mongodb.org"
SRC_URI="http://downloads.mongodb.org/src/${MY_P}.tar.gz"
LICENSE="AGPL-3 Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="debug kerberos libressl mms-agent ssl +tools"
RDEPEND="app-arch/snappy
>=dev-cpp/yaml-cpp-0.5.1
>=dev-libs/boost-1.57[threads(+)]
>=dev-libs/libpcre-8.30[cxx]
dev-libs/snowball-stemmer
net-libs/libpcap
sys-libs/zlib
mms-agent? ( app-admin/mms-agent )
ssl? (
!libressl? ( >=dev-libs/openssl-1.0.1g:0= )
libressl? ( dev-libs/libressl:= )
)"
DEPEND="${RDEPEND}
>=sys-devel/gcc-4.8.2:*
sys-libs/ncurses
sys-libs/readline
kerberos? ( dev-libs/cyrus-sasl[kerberos] )"
PDEPEND="tools? ( >=app-admin/mongo-tools-${PV} )"
S=${WORKDIR}/${MY_P}
pkg_setup() {
enewgroup mongodb
enewuser mongodb -1 -1 /var/lib/${PN} mongodb
# Maintainer notes
#
# --use-system-tcmalloc is strongly NOT recommended:
# https://www.mongodb.org/about/contributors/tutorial/build-mongodb-from-source/
#
# --c++11 is required by scons instead of auto detection:
# https://jira.mongodb.org/browse/SERVER-19661
scons_opts="--variant-dir=build --cc=$(tc-getCC) --cxx=$(tc-getCXX) --c++11"
scons_opts+=" --disable-warnings-as-errors"
scons_opts+=" --use-system-boost"
scons_opts+=" --use-system-pcre"
scons_opts+=" --use-system-snappy"
scons_opts+=" --use-system-stemmer"
scons_opts+=" --use-system-yaml"